diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/js/tinymce/plugins/wpeditimage/js/editimage.dev.js ./wordpress-3.4/wp-includes/js/tinymce/plugins/wpeditimage/js/editimage.dev.js
*** ./wordpress-3.3.2/wp-includes/js/tinymce/plugins/wpeditimage/js/editimage.dev.js	2011-09-17 22:00:13.000000000 -0500
--- ./wordpress-3.4/wp-includes/js/tinymce/plugins/wpeditimage/js/editimage.dev.js	2012-05-01 20:14:52.000000000 -0500
***************
*** 3,19 ****
  
  tinyMCEPopup = {
  	init: function() {
! 		var t = this, w, li, q, i, it;
! 
! 		li = ('' + document.location.search).replace(/^\?/, '').split('&');
! 		q = {};
! 		for ( i = 0; i < li.length; i++ ) {
! 			it = li[i].split('=');
! 			q[unescape(it[0])] = unescape(it[1]);
! 		}
! 
! 		if (q.mce_rdomain)
! 			document.domain = q.mce_rdomain;
  
  		// Find window & API
  		w = t.getWin();
--- 3,9 ----
  
  tinyMCEPopup = {
  	init: function() {
! 		var t = this, w, ti;
  
  		// Find window & API
  		w = t.getWin();
***************
*** 21,26 ****
--- 11,17 ----
  		tinyMCE = w.tinyMCE;
  		t.editor = tinymce.EditorManager.activeEditor;
  		t.params = t.editor.windowManager.params;
+ 		t.features = t.editor.windowManager.features;
  
  		// Setup local DOM
  		t.dom = t.editor.windowManager.createInstance('tinymce.dom.DOMUtils', document);
***************
*** 28,34 ****
  	},
  
  	getWin : function() {
! 		return window.dialogArguments || opener || parent || top;
  	},
  
  	getParam : function(n, dv) {
--- 19,25 ----
  	},
  
  	getWin : function() {
! 		return (!window.frameElement && window.dialogArguments) || opener || parent || top;
  	},
  
  	getParam : function(n, dv) {
***************
*** 36,51 ****
  	},
  
  	close : function() {
! 		var t = this, win = t.getWin();
  
  		// To avoid domain relaxing issue in Opera
  		function close() {
! 			win.tb_remove();
! 			tinymce = tinyMCE = t.editor = t.dom = t.dom.doc = null; // Cleanup
  		};
  
  		if (tinymce.isOpera)
! 			win.setTimeout(close, 0);
  		else
  			close();
  	},
--- 27,42 ----
  	},
  
  	close : function() {
! 		var t = this;
  
  		// To avoid domain relaxing issue in Opera
  		function close() {
! 			t.editor.windowManager.close(window);
! 			tinymce = tinyMCE = t.editor = t.params = t.dom = t.dom.doc = null; // Cleanup
  		};
  
  		if (tinymce.isOpera)
! 			t.getWin().setTimeout(close, 0);
  		else
  			close();
  	},
***************
*** 59,71 ****
  	},
  
  	storeSelection : function() {
! 		this.editor.windowManager.bookmark = tinyMCEPopup.editor.selection.getBookmark('simple');
  	},
  
  	restoreSelection : function() {
  		var t = tinyMCEPopup;
  
! 		if (tinymce.isIE)
  			t.editor.selection.moveToBookmark(t.editor.windowManager.bookmark);
  	}
  }
--- 50,62 ----
  	},
  
  	storeSelection : function() {
! 		this.editor.windowManager.bookmark = tinyMCEPopup.editor.selection.getBookmark(1);
  	},
  
  	restoreSelection : function() {
  		var t = tinyMCEPopup;
  
! 		if ( tinymce.isIE )
  			t.editor.selection.moveToBookmark(t.editor.windowManager.bookmark);
  	}
  }
***************
*** 74,85 ****
  wpImage = {
  	preInit : function() {
  		// import colors stylesheet from parent
! 		var win = tinyMCEPopup.getWin(), styles = win.document.styleSheets, url, i;
  
  		for ( i = 0; i < styles.length; i++ ) {
  			url = styles.item(i).href;
! 			if ( url && url.indexOf('colors') != -1 )
! 				document.write( '<link rel="stylesheet" href="'+url+'" type="text/css" media="all" />' );
  		}
  	},
  
--- 65,78 ----
  wpImage = {
  	preInit : function() {
  		// import colors stylesheet from parent
! 		var ed = tinyMCEPopup.editor, win = tinyMCEPopup.getWin(), styles = win.document.styleSheets, url, i;
  
  		for ( i = 0; i < styles.length; i++ ) {
  			url = styles.item(i).href;
! 			if ( url && url.indexOf('colors') != -1 ) {
! 				document.getElementsByTagName('head')[0].appendChild( ed.dom.create('link', {rel:'stylesheet', href: url}) );
! 				break;
! 			}
  		}
  	},
  
***************
*** 242,248 ****
  
  	setup : function() {
  		var t = this, c, el, link, fname, f = document.forms[0], ed = tinyMCEPopup.editor,
! 			d = t.I('img_demo'), dom = tinyMCEPopup.dom, DL, caption = '', dlc, pa;
  
  		document.dir = tinyMCEPopup.editor.getParam('directionality','');
  
--- 235,241 ----
  
  	setup : function() {
  		var t = this, c, el, link, fname, f = document.forms[0], ed = tinyMCEPopup.editor,
! 			d = t.I('img_demo'), dom = tinyMCEPopup.dom, DL, DD, caption = '', dlc, pa;
  
  		document.dir = tinyMCEPopup.editor.getParam('directionality','');
  
***************
*** 267,281 ****
  				tinymce.trim(c);
  			}
  
! 			tinymce.each(DL.childNodes, function(e) {
! 				if ( e.nodeName == 'DD' && dom.hasClass(e, 'wp-caption-dd') ) {
! 					caption = e.innerHTML;
! 					return;
! 				}
! 			});
  		}
  
! 		f.img_cap.value = caption;
  		f.img_title.value = ed.dom.getAttrib(el, 'title');
  		f.img_alt.value = ed.dom.getAttrib(el, 'alt');
  		f.border.value = ed.dom.getAttrib(el, 'border');
--- 260,271 ----
  				tinymce.trim(c);
  			}
  
! 			DD = ed.dom.select('dd.wp-caption-dd', DL);
! 			if ( DD && DD[0] )
! 				caption = ed.serializer.serialize(DD[0]).replace(/^<p>/, '').replace(/<\/p>$/, '');
  		}
  
! 		f.img_cap_text.value = caption;
  		f.img_title.value = ed.dom.getAttrib(el, 'title');
  		f.img_alt.value = ed.dom.getAttrib(el, 'alt');
  		f.border.value = ed.dom.getAttrib(el, 'border');
***************
*** 326,332 ****
  			d.className = t.align = "alignnone";
  		}
  
! 		if ( t.width && t.preloadImg.width ) t.showSizeSet();
  		document.body.style.display = '';
  	},
  
--- 316,324 ----
  			d.className = t.align = "alignnone";
  		}
  
! 		if ( t.width && t.preloadImg.width )
! 			t.showSizeSet();
! 		
  		document.body.style.display = '';
  	},
  
***************
*** 351,357 ****
  	update : function() {
  		var t = this, f = document.forms[0], ed = tinyMCEPopup.editor, el, b, fixSafari = null,
  			DL, P, A, DIV, do_caption = null, img_class = f.img_classes.value, html,
! 			id, cap_id = '', cap, DT, DD, cap_width, div_cls, lnk = '', pa, aa;
  
  		tinyMCEPopup.restoreSelection();
  		el = ed.selection.getNode();
--- 343,349 ----
  	update : function() {
  		var t = this, f = document.forms[0], ed = tinyMCEPopup.editor, el, b, fixSafari = null,
  			DL, P, A, DIV, do_caption = null, img_class = f.img_classes.value, html,
! 			id, cap_id = '', cap, DT, DD, cap_width, div_cls, lnk = '', pa, aa, caption;
  
  		tinyMCEPopup.restoreSelection();
  		el = ed.selection.getNode();
***************
*** 362,368 ****
  			return;
  		}
  
! 		if ( f.img_cap.value != '' && f.width.value != '' ) {
  			do_caption = 1;
  			img_class = img_class.replace( /align[^ "']+\s?/gi, '' );
  		}
--- 354,360 ----
  			return;
  		}
  
! 		if ( f.img_cap_text.value != '' && f.width.value != '' ) {
  			do_caption = 1;
  			img_class = img_class.replace( /align[^ "']+\s?/gi, '' );
  		}
***************
*** 393,408 ****
  				if ( ! f.link_href.value.match(/https?:\/\//i) )
  					f.link_href.value = tinyMCEPopup.editor.documentBaseURI.toAbsolute(f.link_href.value);
  
! 				if ( tinymce.isWebKit && ed.dom.hasClass(el, 'aligncenter') ) {
! 					ed.dom.removeClass(el, 'aligncenter');
! 					fixSafari = 1;
! 				}
! 
! 				tinyMCEPopup.execCommand("CreateLink", false, "#mce_temp_url#", {skip_undo : 1});
! 				if ( fixSafari ) ed.dom.addClass(el, 'aligncenter');
  
  				tinymce.each(ed.dom.select("a"), function(n) {
! 					if (ed.dom.getAttrib(n, 'href') == '#mce_temp_url#') {
  
  						ed.dom.setAttribs(n, {
  							href : f.link_href.value,
--- 385,395 ----
  				if ( ! f.link_href.value.match(/https?:\/\//i) )
  					f.link_href.value = tinyMCEPopup.editor.documentBaseURI.toAbsolute(f.link_href.value);
  
! 				ed.getDoc().execCommand("unlink", false, null);
! 				tinyMCEPopup.execCommand("mceInsertLink", false, "#mce_temp_url#", {skip_undo : 1});
  
  				tinymce.each(ed.dom.select("a"), function(n) {
! 					if ( ed.dom.getAttrib(n, 'href') == '#mce_temp_url#' ) {
  
  						ed.dom.setAttribs(n, {
  							href : f.link_href.value,
***************
*** 429,434 ****
--- 416,428 ----
  		if ( do_caption ) {
  			cap_width = 10 + parseInt(f.width.value);
  			div_cls = (t.align == 'aligncenter') ? 'mceTemp mceIEcenter' : 'mceTemp';
+ 			caption = f.img_cap_text.value;
+ 
+ 			caption = caption.replace(/\r\n|\r/g, '\n').replace(/<[a-zA-Z0-9]+( [^<>]+)?>/g, function(a){
+ 				return a.replace(/[\r\n\t]+/, ' ');
+ 			});
+ 
+ 			caption = caption.replace(/\s*\n\s*/g, '<br />');
  
  			if ( DL ) {
  				ed.dom.setAttribs(DL, {
***************
*** 440,463 ****
  					ed.dom.setAttrib(DIV, 'class', div_cls);
  
  				if ( (DT = ed.dom.getParent(el, 'dt')) && (DD = DT.nextSibling) && ed.dom.hasClass(DD, 'wp-caption-dd') )
! 					ed.dom.setHTML(DD, f.img_cap.value);
  
  			} else {
  				if ( (id = f.img_classes.value.match( /wp-image-([0-9]{1,6})/ )) && id[1] )
  					cap_id = 'attachment_'+id[1];
  
  				if ( f.link_href.value && (lnk = ed.dom.getParent(el, 'a')) ) {
! 					if ( lnk.childNodes.length == 1 )
  						html = ed.dom.getOuterHTML(lnk);
! 					else {
  						html = ed.dom.getOuterHTML(lnk);
! 						html = html.match(/<a[^>]+>/i);
  						html = html+ed.dom.getOuterHTML(el)+'</a>';
  					}
! 				} else html = ed.dom.getOuterHTML(el);
  
  				html = '<dl id="'+cap_id+'" class="wp-caption '+t.align+'" style="width: '+cap_width+
! 				'px"><dt class="wp-caption-dt">'+html+'</dt><dd class="wp-caption-dd">'+f.img_cap.value+'</dd></dl>';
  
  				cap = ed.dom.create('div', {'class': div_cls}, html);
  
--- 434,459 ----
  					ed.dom.setAttrib(DIV, 'class', div_cls);
  
  				if ( (DT = ed.dom.getParent(el, 'dt')) && (DD = DT.nextSibling) && ed.dom.hasClass(DD, 'wp-caption-dd') )
! 					ed.dom.setHTML(DD, caption);
  
  			} else {
  				if ( (id = f.img_classes.value.match( /wp-image-([0-9]{1,6})/ )) && id[1] )
  					cap_id = 'attachment_'+id[1];
  
  				if ( f.link_href.value && (lnk = ed.dom.getParent(el, 'a')) ) {
! 					if ( lnk.childNodes.length == 1 ) {
  						html = ed.dom.getOuterHTML(lnk);
! 					} else {
  						html = ed.dom.getOuterHTML(lnk);
! 						html = html.match(/<a [^>]+>/i);
  						html = html+ed.dom.getOuterHTML(el)+'</a>';
  					}
! 				} else {
! 					html = ed.dom.getOuterHTML(el);
! 				}
  
  				html = '<dl id="'+cap_id+'" class="wp-caption '+t.align+'" style="width: '+cap_width+
! 				'px"><dt class="wp-caption-dt">'+html+'</dt><dd class="wp-caption-dd">'+caption+'</dd></dl>';
  
  				cap = ed.dom.create('div', {'class': div_cls}, html);
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/js/tinymce/plugins/wpfullscreen/editor_plugin_src.js ./wordpress-3.4/wp-includes/js/tinymce/plugins/wpfullscreen/editor_plugin_src.js
*** ./wordpress-3.3.2/wp-includes/js/tinymce/plugins/wpfullscreen/editor_plugin_src.js	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-includes/js/tinymce/plugins/wpfullscreen/editor_plugin_src.js	2012-05-16 02:02:55.000000000 -0500
***************
*** 0 ****
--- 1,173 ----
+ /**
+  * WP Fullscreen TinyMCE plugin
+  *
+  * Contains code from Moxiecode Systems AB released under LGPL License http://tinymce.moxiecode.com/license
+  */
+ 
+ (function() {
+ 	tinymce.create('tinymce.plugins.wpFullscreenPlugin', {
+ 
+ 		init : function(ed, url) {
+ 			var t = this, oldHeight = 0, s = {}, DOM = tinymce.DOM;
+ 
+ 			// Register commands
+ 			ed.addCommand('wpFullScreenClose', function() {
+ 				// this removes the editor, content has to be saved first with tinyMCE.execCommand('wpFullScreenSave');
+ 				if ( ed.getParam('wp_fullscreen_is_enabled') ) {
+ 					DOM.win.setTimeout(function() {
+ 						tinyMCE.remove(ed);
+ 						DOM.remove('wp_mce_fullscreen_parent');
+ 						tinyMCE.settings = tinyMCE.oldSettings; // Restore old settings
+ 					}, 10);
+ 				}
+ 			});
+ 
+ 			ed.addCommand('wpFullScreenSave', function() {
+ 				var ed = tinyMCE.get('wp_mce_fullscreen'), edd;
+ 
+ 				ed.focus();
+ 				edd = tinyMCE.get( ed.getParam('wp_fullscreen_editor_id') );
+ 
+ 				edd.setContent( ed.getContent({format : 'raw'}), {format : 'raw'} );
+ 			});
+ 
+ 			ed.addCommand('wpFullScreenInit', function() {
+ 				var d, b, fsed;
+ 
+ 				ed = tinyMCE.activeEditor;
+ 				d = ed.getDoc();
+ 				b = d.body;
+ 
+ 				tinyMCE.oldSettings = tinyMCE.settings; // Store old settings
+ 
+ 				tinymce.each(ed.settings, function(v, n) {
+ 					s[n] = v;
+ 				});
+ 
+ 				s.id = 'wp_mce_fullscreen';
+ 				s.wp_fullscreen_is_enabled = true;
+ 				s.wp_fullscreen_editor_id = ed.id;
+ 				s.theme_advanced_resizing = false;
+ 				s.theme_advanced_statusbar_location = 'none';
+ 				s.content_css = s.content_css ? s.content_css + ',' + s.wp_fullscreen_content_css : s.wp_fullscreen_content_css;
+ 				s.height = tinymce.isIE ? b.scrollHeight : b.offsetHeight;
+ 
+ 				tinymce.each(ed.getParam('wp_fullscreen_settings'), function(v, k) {
+ 					s[k] = v;
+ 				});
+ 
+ 				fsed = new tinymce.Editor('wp_mce_fullscreen', s);
+ 				fsed.onInit.add(function(edd) {
+ 					var DOM = tinymce.DOM, buttons = DOM.select('a.mceButton', DOM.get('wp-fullscreen-buttons'));
+ 
+ 					if ( !ed.isHidden() )
+ 						edd.setContent( ed.getContent() );
+ 					else
+ 						edd.setContent( switchEditors.wpautop( edd.getElement().value ) );
+ 
+ 					setTimeout(function(){ // add last
+ 						edd.onNodeChange.add(function(ed, cm, e){
+ 							tinymce.each(buttons, function(c) {
+ 								var btn, cls;
+ 
+ 								if ( btn = DOM.get( 'wp_mce_fullscreen_' + c.id.substr(6) ) ) {
+ 									cls = btn.className;
+ 
+ 									if ( cls )
+ 										c.className = cls;
+ 								}
+ 							});
+ 						});
+ 					}, 1000);
+ 
+ 					edd.dom.addClass(edd.getBody(), 'wp-fullscreen-editor');
+ 					edd.focus();
+ 				});
+ 
+ 				fsed.render();
+ 
+ 				if ( 'undefined' != fullscreen ) {
+ 					fsed.dom.bind( fsed.dom.doc, 'mousemove', function(e){
+ 						fullscreen.bounder( 'showToolbar', 'hideToolbar', 2000, e );
+ 					});
+ 				}
+ 			});
+ 
+ 			// Register buttons
+ 			if ( 'undefined' != fullscreen ) {
+ 				ed.addButton('wp_fullscreen', {
+ 					title : 'fullscreen.desc',
+ 					onclick : function(){ fullscreen.on(); }
+ 				});
+ 			}
+ 
+ 			// END fullscreen
+ //----------------------------------------------------------------
+ 			// START autoresize
+ 
+ 			if ( ed.getParam('fullscreen_is_enabled') || !ed.getParam('wp_fullscreen_is_enabled') )
+ 				return;
+ 
+ 			/**
+ 			 * This method gets executed each time the editor needs to resize.
+ 			 */
+ 			function resize() {
+ 				var d = ed.getDoc(), DOM = tinymce.DOM, resizeHeight, myHeight;
+ 
+ 				// Get height differently depending on the browser used
+ 				if ( tinymce.isWebKit )
+ 					myHeight = d.body.offsetHeight;
+ 				else
+ 					myHeight = d.body.scrollHeight;
+ 
+ 				// Don't make it smaller than 300px
+ 				resizeHeight = (myHeight > 300) ? myHeight : 300;
+ 
+ 				// Resize content element
+ 				if ( oldHeight != resizeHeight ) {
+ 					DOM.setStyle(DOM.get(ed.id + '_ifr'), 'height', resizeHeight + 'px');
+ 					oldHeight = resizeHeight;
+ 					ed.getWin().scrollTo(0,0);
+ 				}
+ 			};
+ 
+ 			// Add appropriate listeners for resizing content area
+ 			ed.onInit.add(function(ed, l) {
+ 				ed.onChange.add(resize);
+ 				ed.onSetContent.add(resize);
+ 				ed.onPaste.add(resize);
+ 				ed.onKeyUp.add(resize);
+ 				ed.onPostRender.add(resize);
+ 
+ 				ed.getBody().style.overflowY = "hidden";
+ 			});
+ 
+ 			if (ed.getParam('autoresize_on_init', true)) {
+ 				ed.onLoadContent.add(function(ed, l) {
+ 					// Because the content area resizes when its content CSS loads,
+ 					// and we can't easily add a listener to its onload event,
+ 					// we'll just trigger a resize after a short loading period
+ 					setTimeout(function() {
+ 						resize();
+ 					}, 1200);
+ 				});
+ 			}
+ 
+ 			// Register the command so that it can be invoked by using tinyMCE.activeEditor.execCommand('mceExample');
+ 			ed.addCommand('wpAutoResize', resize);
+ 		},
+ 
+ 		getInfo : function() {
+ 			return {
+ 				longname : 'WP Fullscreen',
+ 				author : 'WordPress',
+ 				authorurl : 'http://wordpress.org',
+ 				infourl : '',
+ 				version : '1.0'
+ 			};
+ 		}
+ 	});
+ 
+ 	// Register plugin
+ 	tinymce.PluginManager.add('wpfullscreen', tinymce.plugins.wpFullscreenPlugin);
+ })();
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/js/tinymce/plugins/wpgallery/editor_plugin_src.js ./wordpress-3.4/wp-includes/js/tinymce/plugins/wpgallery/editor_plugin_src.js
*** ./wordpress-3.3.2/wp-includes/js/tinymce/plugins/wpgallery/editor_plugin_src.js	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-includes/js/tinymce/plugins/wpgallery/editor_plugin_src.js	2012-04-18 15:43:28.000000000 -0500
***************
*** 0 ****
--- 1,119 ----
+ 
+ (function() {
+ 	tinymce.create('tinymce.plugins.wpGallery', {
+ 
+ 		init : function(ed, url) {
+ 			var t = this;
+ 
+ 			t.url = url;
+ 			t._createButtons();
+ 
+ 			// Register the command so that it can be invoked by using tinyMCE.activeEditor.execCommand('...');
+ 			ed.addCommand('WP_Gallery', function() {
+ 				var el = ed.selection.getNode(), post_id, vp = tinymce.DOM.getViewPort(),
+ 					H = vp.h - 80, W = ( 640 < vp.w ) ? 640 : vp.w;
+ 
+ 				if ( el.nodeName != 'IMG' ) return;
+ 				if ( ed.dom.getAttrib(el, 'class').indexOf('wpGallery') == -1 )	return;
+ 
+ 				post_id = tinymce.DOM.get('post_ID').value;
+ 				tb_show('', tinymce.documentBaseURL + 'media-upload.php?post_id='+post_id+'&tab=gallery&TB_iframe=true&width='+W+'&height='+H);
+ 
+ 				tinymce.DOM.setStyle( ['TB_overlay','TB_window','TB_load'], 'z-index', '999999' );
+ 			});
+ 
+ 			ed.onMouseDown.add(function(ed, e) {
+ 				if ( e.target.nodeName == 'IMG' && ed.dom.hasClass(e.target, 'wpGallery') )
+ 					ed.plugins.wordpress._showButtons(e.target, 'wp_gallerybtns');
+ 			});
+ 
+ 			ed.onBeforeSetContent.add(function(ed, o) {
+ 				o.content = t._do_gallery(o.content);
+ 			});
+ 
+ 			ed.onPostProcess.add(function(ed, o) {
+ 				if (o.get)
+ 					o.content = t._get_gallery(o.content);
+ 			});
+ 		},
+ 
+ 		_do_gallery : function(co) {
+ 			return co.replace(/\[gallery([^\]]*)\]/g, function(a,b){
+ 				return '<img src="'+tinymce.baseURL+'/plugins/wpgallery/img/t.gif" class="wpGallery mceItem" title="gallery'+tinymce.DOM.encode(b)+'" />';
+ 			});
+ 		},
+ 
+ 		_get_gallery : function(co) {
+ 
+ 			function getAttr(s, n) {
+ 				n = new RegExp(n + '=\"([^\"]+)\"', 'g').exec(s);
+ 				return n ? tinymce.DOM.decode(n[1]) : '';
+ 			};
+ 
+ 			return co.replace(/(?:<p[^>]*>)*(<img[^>]+>)(?:<\/p>)*/g, function(a,im) {
+ 				var cls = getAttr(im, 'class');
+ 
+ 				if ( cls.indexOf('wpGallery') != -1 )
+ 					return '<p>['+tinymce.trim(getAttr(im, 'title'))+']</p>';
+ 
+ 				return a;
+ 			});
+ 		},
+ 
+ 		_createButtons : function() {
+ 			var t = this, ed = tinyMCE.activeEditor, DOM = tinymce.DOM, editButton, dellButton;
+ 
+ 			DOM.remove('wp_gallerybtns');
+ 
+ 			DOM.add(document.body, 'div', {
+ 				id : 'wp_gallerybtns',
+ 				style : 'display:none;'
+ 			});
+ 
+ 			editButton = DOM.add('wp_gallerybtns', 'img', {
+ 				src : t.url+'/img/edit.png',
+ 				id : 'wp_editgallery',
+ 				width : '24',
+ 				height : '24',
+ 				title : ed.getLang('wordpress.editgallery')
+ 			});
+ 
+ 			tinymce.dom.Event.add(editButton, 'mousedown', function(e) {
+ 				var ed = tinyMCE.activeEditor;
+ 				ed.windowManager.bookmark = ed.selection.getBookmark('simple');
+ 				ed.execCommand("WP_Gallery");
+ 			});
+ 
+ 			dellButton = DOM.add('wp_gallerybtns', 'img', {
+ 				src : t.url+'/img/delete.png',
+ 				id : 'wp_delgallery',
+ 				width : '24',
+ 				height : '24',
+ 				title : ed.getLang('wordpress.delgallery')
+ 			});
+ 
+ 			tinymce.dom.Event.add(dellButton, 'mousedown', function(e) {
+ 				var ed = tinyMCE.activeEditor, el = ed.selection.getNode();
+ 
+ 				if ( el.nodeName == 'IMG' && ed.dom.hasClass(el, 'wpGallery') ) {
+ 					ed.dom.remove(el);
+ 
+ 					ed.execCommand('mceRepaint');
+ 					return false;
+ 				}
+ 			});
+ 		},
+ 
+ 		getInfo : function() {
+ 			return {
+ 				longname : 'Gallery Settings',
+ 				author : 'WordPress',
+ 				authorurl : 'http://wordpress.org',
+ 				infourl : '',
+ 				version : "1.0"
+ 			};
+ 		}
+ 	});
+ 
+ 	tinymce.PluginManager.add('wpgallery', tinymce.plugins.wpGallery);
+ })();
Binary files ./wordpress-3.3.2/wp-includes/js/tinymce/plugins/wpgallery/img/gallery.png and ./wordpress-3.4/wp-includes/js/tinymce/plugins/wpgallery/img/gallery.png differ
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/js/tinymce/plugins/wplink/editor_plugin_src.js ./wordpress-3.4/wp-includes/js/tinymce/plugins/wplink/editor_plugin_src.js
*** ./wordpress-3.3.2/wp-includes/js/tinymce/plugins/wplink/editor_plugin_src.js	1969-12-31 18:00:00.000000000 -0600
--- ./wordpress-3.4/wp-includes/js/tinymce/plugins/wplink/editor_plugin_src.js	2012-02-18 00:43:47.000000000 -0600
***************
*** 0 ****
--- 1,60 ----
+ (function() {
+ 	tinymce.create('tinymce.plugins.wpLink', {
+ 		/**
+ 		 * Initializes the plugin, this will be executed after the plugin has been created.
+ 		 * This call is done before the editor instance has finished it's initialization so use the onInit event
+ 		 * of the editor instance to intercept that event.
+ 		 *
+ 		 * @param {tinymce.Editor} ed Editor instance that the plugin is initialized in.
+ 		 * @param {string} url Absolute URL to where the plugin is located.
+ 		 */
+ 		init : function(ed, url) {
+ 			var disabled = true;
+ 
+ 			// Register the command so that it can be invoked by using tinyMCE.activeEditor.execCommand('mceExample');
+ 			ed.addCommand('WP_Link', function() {
+ 				if ( disabled )
+ 					return;
+ 				ed.windowManager.open({
+ 					id : 'wp-link',
+ 					width : 480,
+ 					height : "auto",
+ 					wpDialog : true,
+ 					title : ed.getLang('advlink.link_desc')
+ 				}, {
+ 					plugin_url : url // Plugin absolute URL
+ 				});
+ 			});
+ 
+ 			// Register example button
+ 			ed.addButton('link', {
+ 				title : ed.getLang('advanced.link_desc'),
+ 				cmd : 'WP_Link'
+ 			});
+ 
+ 			ed.addShortcut('alt+shift+a', ed.getLang('advanced.link_desc'), 'WP_Link');
+ 
+ 			ed.onNodeChange.add(function(ed, cm, n, co) {
+ 				disabled = co && n.nodeName != 'A';
+ 			});
+ 		},
+ 		/**
+ 		 * Returns information about the plugin as a name/value array.
+ 		 * The current keys are longname, author, authorurl, infourl and version.
+ 		 *
+ 		 * @return {Object} Name/value array containing information about the plugin.
+ 		 */
+ 		getInfo : function() {
+ 			return {
+ 				longname : 'WordPress Link Dialog',
+ 				author : 'WordPress',
+ 				authorurl : 'http://wordpress.org',
+ 				infourl : '',
+ 				version : "1.0"
+ 			};
+ 		}
+ 	});
+ 
+ 	// Register plugin
+ 	tinymce.PluginManager.add('wplink', tinymce.plugins.wpLink);
+ })();
\ No newline at end of file
